fatms speed up for 5.50 promethus-2

Discussion in 'PSP - Games & Content' started by serving, Oct 3, 2010.

Oct 3, 2010
  1. serving
    OP

    Member serving GBAtemp Regular

    Joined:
    Jul 12, 2007
    Messages:
    167
    Country:
    United States
    is there one for it?
     
  2. Bluelaserman

    Member Bluelaserman I shoot BLUE LASERS MAN!!!!

    Joined:
    Sep 13, 2009
    Messages:
    677
    Location:
    The Land down under.
    Country:
    Australia
  3. NoMeansYes

    Newcomer NoMeansYes Member

    Joined:
    Aug 30, 2010
    Messages:
    18
    Country:
    United States
    What's the difference between using that and just tuning your MS speed to 333 in the recovery menu?
     
  4. thedicemaster

    Member thedicemaster GBAtemp Addict

    Joined:
    Apr 26, 2008
    Messages:
    2,412
    Country:
    Netherlands
    that's your CPU speed.
     
  5. NoMeansYes

    Newcomer NoMeansYes Member

    Joined:
    Aug 30, 2010
    Messages:
    18
    Country:
    United States
    So if I used this, I wouldn't have to replace my crappy Lexar because it can't run God of War and GTA without slowdown? Why didn't anybody tell me about this before!

    EDIT: It says PSP2ks are prone to bricking if you follow this tutorial. If my psp bricks, will it be the brick that is fixable with a pandora or will it be the unfixable brick? And does this work with 5.50 prometheus? Or only prometheus-2?
     
  6. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    Prometheus 1 and 2 are just Gen D3 with some extra patching.
     
  7. Bluelaserman

    Member Bluelaserman I shoot BLUE LASERS MAN!!!!

    Joined:
    Sep 13, 2009
    Messages:
    677
    Location:
    The Land down under.
    Country:
    Australia
    If your PSP has 5.50 already, it means it is hackable. Newer Psps with the new motherboards are not hackable and will conclude with bricking. Also, it will run on 5.50 Prometheus V1, 2, etc.
     

Share This Page